#ifndef SECRETS_H
#define SECRETS_H

/* ********************************************************************
 * *** NOTE: Copy this file to "secrets.h" and edit the settings below,
 * ***       replacing the XXXXXXXX strings with appropriate values.
 * *******************************************************************/

/* The WLAN station identifier to be used by the nanoESP access point */
#define SSID "XXXXXXXX"

/* The pre-shared key used to authenticate WLAN clients with the access
 * point.
 *
 * NOTE: When using the IoTeaTimer with IoTPager devices the pre-shared
 * key never has to be entered manually and thus can safely be gegerated
 * with a password generator, e.g: 'pwgen -sync' on a GNU/Linux command
 * line.
 */
#define PSK "XXXXXXXX"

/* *********************************************************************
 * *** The following are not really secrets but also strictly local WLAN
 * *** configuration settings.
 * ********************************************************************/

/* Sender IP address, used to configure the WLAN AP */
#define SRCIP "192.168.128.1"

/* Destination IP address (broadcast IP) */
#define DSTIP "192.168.128.255"


#endif
