/*
 * Common logging and debugging functions.
 *
 * (C) 2016 General Overnight  <generalovernight.wordpress.com>
 *
 * This is Free Software available under the GNU General Public License (GPL).
 *
 * $Id: logdebug.h,v 1.1 2016-01-31 08:55:30 manolo Exp $
 */

#ifndef LOGDEBUG_H
#define LOGDEBUG_H

/* We use a subset of the standard syslog levels for classifying debug
 * output here.
 */
#define LVL_EROR 3 /* error messages */
#define LVL_WARN 4 /* warnings */
#define LVL_NOTE 5 /* normal but notable information */
#define LVL_INFO 6 /* things which may be interesting to a user but
		      don't require action */
#define LVL_DBUG 7 /* debugging messages */


void dbg(int level, String msg);

void dbg(String msg);

void serialDebug(void);

#endif
