/*
 * Common logging and debugging functions.
 *
 * (C) 2016 General Overnight  <generalovernight.wordpress.com>
 *
 * This is Free Software available under the GNU General Public License (GPL).
 *
 * $Id: logdebug.ino,v 1.1 2016-01-31 08:55:30 manolo Exp $
 */

void serialDebug(void) {
  while (true)
  {
    if (esp8266.available()) { Serial.write(esp8266.read()); }
    if (Serial.available()) { esp8266.write(Serial.read()); }
  }
}


void dbg(String msg)
{
#ifdef DEBUG
  const String secrets[] = { PSK, SSID, };
  /* Replace any instances of the secrets defined above in the message
   * with a equal length string of Xs.
   *
   * sizeof(secrets) returns the number of bytes occupied by the secrets array.
   * This is divided by the space necessary to hold a String item to get
   * the number actual number of items in the array.
   *
   * We start from the end of the array for convenience.
   */
  for (int i = sizeof(secrets) / sizeof(String); i-- > 0;) {
    /* try to find the string at position i in secrets in the msg
     * String.
     */
    int start = msg.indexOf(secrets[i]);
    if (-1 < start) {
      String newmsg = msg.substring(0, start);
      for (int k = secrets[i].length(); k-- > 0;) {
	newmsg += "X";
      }
      msg = newmsg + msg.substring(start + secrets[i].length());
    }
  }
  /* Finally output the sanitized message */#
  Serial.println(msg);
#endif
}

void dbg(int level, String msg)
{
#ifndef NDEBUG
#ifdef DEBUG
  if (level <= DEBUG) {
#else
  if (level <= LVL_WARN) {
#endif
    dbg(msg);
  }
#endif
}


// Local Variables:
// mode: c++
// End:
